#ifndef _AVM_HW_CONFIG_DEF_H_
#define _AVM_HW_CONFIG_DEF_H_
//enums from avm_hw_config.h are stored here as defines for the device tree generation
#define  AVM_DEF_HW_PARAM_NO_PARAM 0
#define  AVM_DEF_HW_PARAM_GPIO_OUT_ACTIVE_LOW 10
#define  AVM_DEF_HW_PARAM_GPIO_OUT_ACTIVE_HIGH 11
#define  AVM_DEF_HW_PARAM_GPIO_IN_ACTIVE_LOW 12
#define  AVM_DEF_HW_PARAM_GPIO_IN_ACTIVE_HIGH 13
#define  AVM_DEF_HW_PARAM_S17_OUT_ACTIVE_LOW 14
#define  AVM_DEF_HW_PARAM_S17_OUT_ACTIVE_HIGH 15
/* For ATH79 */
#define AVM_DEF_HW_PARAM_GPIO_IN_OUT_ACTIVE_LOW 16
#define AVM_DEF_HW_PARAM_GPIO_IN_OUT_ACTIVE_HIGH 17

//enums from mach_avm.h are stored here as defines for the device tree generation
#define  AVM_DEF_HW_FUNCTION_GPIO_PIN     0x0
#define  AVM_DEF_HW_FUNCTION_PINMUX1      0x1
#define  AVM_DEF_HW_FUNCTION_PINMUX2      0x2
#define  AVM_DEF_HW_FUNCTION_PINMUX3      0x3
#define  AVM_DEF_HW_FUNCTION_PINMUX4      0x4
#define  AVM_DEF_HW_FUNCTION_PINMUX5      0x5
#define  AVM_DEF_HW_FUNCTION_PINMUX6      0x6
#define  AVM_DEF_HW_FUNCTION_PINMUX7      0x7
#define  AVM_DEF_HW_FUNCTION_PINMUX8      0x8
#define  AVM_DEF_HW_FUNCTION_PINMUX9      0x9
#define  AVM_DEF_HW_FUNCTION_PINMUX10     0xa
#define  AVM_DEF_HW_FUNCTION_PINMUX11     0xb
#define  AVM_DEF_HW_FUNCTION_PINMUX12     0xc
#define  AVM_DEF_HW_FUNCTION_PINMUX13     0xd
#define  AVM_DEF_HW_FUNCTION_PINMUX14     0xe
#define  AVM_DEF_HW_FUNCTION_PINMUX15     0xf
#define  AVM_DEF_HW_FUNCTION_PIN_NOCHANGE 0x10

//enums from mach_avm.h are stored here as defines for the device tree generation
#define  AVM_DEF_HW_FUNCTION_GPIO_PIN     0x0
#define  AVM_DEF_HW_FUNCTION_PINMUX1      0x1
#define  AVM_DEF_HW_FUNCTION_PINMUX2      0x2
#define  AVM_DEF_HW_FUNCTION_PINMUX3      0x3
#define  AVM_DEF_HW_FUNCTION_PINMUX4      0x4
#define  AVM_DEF_HW_FUNCTION_PINMUX5      0x5
#define  AVM_DEF_HW_FUNCTION_PINMUX6      0x6
#define  AVM_DEF_HW_FUNCTION_PINMUX7      0x7
#define  AVM_DEF_HW_FUNCTION_PINMUX8      0x8
#define  AVM_DEF_HW_FUNCTION_PINMUX9      0x9
#define  AVM_DEF_HW_FUNCTION_PINMUX10     0xa
#define  AVM_DEF_HW_FUNCTION_PINMUX11     0xb
#define  AVM_DEF_HW_FUNCTION_PINMUX12     0xc
#define  AVM_DEF_HW_FUNCTION_PINMUX13     0xd
#define  AVM_DEF_HW_FUNCTION_PINMUX14     0xe
#define  AVM_DEF_HW_FUNCTION_PINMUX15     0xf
#define  AVM_DEF_HW_FUNCTION_PIN_NOCHANGE 0x10

#endif
