/*------------------------------------------------------------------------------------------*\
 *   
 *   Copyright (C) 2006 AVM GmbH <fritzbox_info@avm.de>
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA 
\*------------------------------------------------------------------------------------------*/
#ifndef _avm_irq_on_h_
#define _avm_irq_on_h_

/*---  CPU-depend use of request_irq, free_irq, enable_irq, disable_irq ---*/
int request_irq_on(int cpu, unsigned int irq, irq_handler_t handler, unsigned long irqflags,
			const char *devname, void *dev_id);
int free_irq_on(int cpu, unsigned int irq, void *dev_id);
void enable_irq_on(int cpu, unsigned int irq);
void disable_irq_on(int cpu, unsigned int irq);

#endif/*--- #ifndef _avm_irq_on_h_ ---*/
